Skip to main content
GET
/
api
/
external
/
companies
/
{companyId}
/
events
/
financials
/
expected-totals
/
timeline
List Expected Total Timeline
curl --request GET \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/events/financials/expected-totals/timeline \
  --header 'Authorization: <api-key>'
import requests

url = "https://app.aiinsurance.io/api/external/companies/{companyId}/events/financials/expected-totals/timeline"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://app.aiinsurance.io/api/external/companies/{companyId}/events/financials/expected-totals/timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "entityId": "550e8400-e29b-41d4-a716-446655440001",
    "transactionDate": "2025-01-15",
    "activityTimestamp": "",
    "createdByUserId": "772g0622-g41b-63f6-c938-668877662222",
    "createdByUserName": "John Doe",
    "categoryId": "alae_invoice",
    "categoryName": "ALAE",
    "expectedTotalCents": 150000
  },
  {
    "entityId": "550e8400-e29b-41d4-a716-446655440001",
    "transactionDate": "2025-01-20",
    "activityTimestamp": "",
    "createdByUserId": "772g0622-g41b-63f6-c938-668877662222",
    "createdByUserName": "John Doe",
    "categoryId": "alae_invoice",
    "categoryName": "ALAE",
    "expectedTotalCents": 250000
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Query Parameters

entityIds
string<uuid>[]
required

Event IDs to retrieve timeline for (repeat param for multiple)

Minimum array length: 1
categoryIds
string[]

Filter to specific transaction category IDs

Response

Timeline of expected total snapshots (sorted chronologically)

entityId
string<uuid>
required

Event ID

transactionDate
string<date>
required

Date of the reserve update (YYYY-MM-DD)

activityTimestamp
string
required

ISO 8601 timestamp of the activity

categoryId
string
required

Transaction category ID (e.g., "alae_invoice")

categoryName
string
required

Human-readable category name

expectedTotalCents
integer
required

Expected total amount in cents at this point in time

createdByUserId
string | null

User ID who created the update (null if system-generated)

createdByUserName
string | null

User name who created the update (null if user not found)